## com.crystaldecisions.sdk.occa.report.lib
Class Strings

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  com.crystaldecisions.sdk.occa.report.lib.ReportSDKVector
                      com.crystaldecisions.sdk.occa.report.lib.Strings

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, IClone, IStrings, java.util.List, java.util.RandomAccess, java.io.Serializable

public class Strings
extends ReportSDKVector
implements IStrings

This class defines a collection of `String` objects.

See Also:
  Serialized Form

Constructor Summary
`Strings()` Constructs an empty `Strings` object.
`Strings(Strings src)` Constructs a new `String` collection with the same contents as the specified `Strings` object.

Method Summary
`void` | `add(int index, java.lang.Object element)` Inserts the specified element at the specified position in this collection.
`boolean` | `add(java.lang.Object o)` Appends the specified element to the end of this collection.
`void` | `copyTo(java.lang.Object dest, boolean deepCopy)` Copies the object.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`boolean` | `equalsIgnoreCase(IStrings srcStrings)` Returns `true` if the specified `IStrings` object is equal to this object, regardless of case.
`java.lang.String` | `getString(int index)` Returns the `String` at the specified index.
`boolean` | `hasContent(java.lang.Object obj)` Returns `true` if this object contains the same elements as the passed in object.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(com.crystaldecisions.xml.serialization.XMLWriter writer, com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)` For internal use only.
`void` | `save(XMLWriter writer, java.lang.String sTag, XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `startElement(java.lang.String eleName, java.util.Map objState, org.xml.sax.Attributes attrs)` For internal use only.
`java.lang.String[]` | `toStringArray()` Returns the contents of this `Strings` collection as an array of `String` objects.

Methods inherited from class com.crystaldecisions.sdk.occa.report.lib.ReportSDKVector
`addElement, clone, elementAt, findIndexOf, insertElementAt, removeAllElements`

Methods inherited from class java.util.ArrayList
`addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Constructor Detail

### Strings

    public Strings(Strings src)

  Constructs a new `String` collection with the same contents as the specified `Strings` object. This is equivalent to creating a new copy.

Parameters:
  `src` - The `Strings` collection to be copied.

### Strings

    public Strings()

  Constructs an empty `Strings` object.

Method Detail

### copyTo

    public void copyTo(java.lang.Object dest,
                       boolean deepCopy)

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Overrides:
    `copyTo` in class `ReportSDKVector`
  Parameters:
    `dest` - The destination object to copy to.
    `deepCopy` - `true` to use deep copy, `false` to use shallow.

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  For internal use only.

### equalsIgnoreCase

    public boolean equalsIgnoreCase(IStrings srcStrings)

  Description copied from interface: `IStrings`

  Returns `true` if the specified `IStrings` object is equal to this object, regardless of case. In other words, this method performs a case-insensitive equality test.

  Specified by:
    `equalsIgnoreCase` in interface `IStrings`
  Parameters:
    `srcStrings` - The `IStrings` object to be compared to.
  Returns:
    `true` if the specified `IStrings` object is equal to this object, and `false` otherwise.

### getString

    public java.lang.String getString(int index)

  Description copied from interface: `IStrings`

  Returns the `String` at the specified index.

  Specified by:
    `getString` in interface `IStrings`
  Parameters:
    `index` - The index of the desired `String`.
  Returns:
    The `String` at the specified index.

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  For internal use only.

### saveContents

    public void saveContents(XMLWriter writer,
                             XMLSerializationContext ctxt)
                      throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  For internal use only.

### hasContent

    public boolean hasContent(java.lang.Object obj)

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Overrides:
    `hasContent` in class `ReportSDKVector`
  Parameters:
    `obj` - The object to check for content.
  Returns:
    `true` if this object contains the same elements as the passed in object, otherwise `false`.

### save

    public void save(com.crystaldecisions.xml.serialization.XMLWriter writer,
                     com.crystaldecisions.xml.serialization.XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### save

    public void save(XMLWriter writer,
                     java.lang.String sTag,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  For internal use only.

  Throws:
    `java.io.IOException`

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState,
                             org.xml.sax.Attributes attrs)

  For internal use only.

### toStringArray

    public java.lang.String[] toStringArray()

  Returns the contents of this `Strings` collection as an array of `String` objects.

  Returns:
    An array of `String` objects containing the contents of this collection.

### add

    public boolean add(java.lang.Object o)

  Appends the specified element to the end of this collection.

  Specified by:
    `add` in interface `java.util.List`
  Parameters:
    `o` - element to be added into the collection.
  Returns:
    `true` if this collection changed as a result of the call.
  Throws:
    `java.lang.ClassCastException` - class of the specified element prevents it from being added to this collection.
    `java.lang.NullPointerException` - if the specified element is null and this collection does not support null elements.

### add

    public void add(int index,
                    java.lang.Object element)

  Inserts the specified element at the specified position in this collection. Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

  Specified by:
    `add` in interface `java.util.List`
  Parameters:
    `index` - index at which the specified element is to be inserted.
    `element` - element to be inserted.
  Throws:
    `java.lang.IndexOutOfBoundsException` - if index is out of range `(index < 0 || index > size())`.
    `java.lang.ClassCastException` - class of the specified element prevents it from being added to this collection.
    `java.lang.NullPointerException` - if the specified element is null and this collection does not support null elements.